<?php

//PEDIDOS
$sqlclasscierre_1 = "SELECT SUM(pd.cantidad) as cantidad_pedido 
                    FROM pedido p, pedido_detalle pd  
                    WHERE p.id=pd.id_pedido AND 
                    pd.estado='Recibido' AND pd.referencia_producto='$class_referencia_cierre' AND "
        . "pd.talla='$class_talla_cierre' AND p.nombre_tercero='$class_nombre_tercero_cierre'";
$queryclasscierre_1 = $conn->query($sqlclasscierre_1);
$rowclasscierre_1 = $queryclasscierre_1->fetch_assoc();
$pedidos_classcierre = $rowclasscierre_1['cantidad_pedido'];

//DESPACHOS
$sqlclasscierre_2 = "SELECT SUM(dd.cantidad) as cantidad_despacho 
                FROM despacho d, despacho_detalle dd 
                WHERE d.id=dd.id_despacho AND
                dd.estado!='Cancelado' AND dd.referencia_producto='$class_referencia_cierre' AND "
        . "dd.talla='$class_talla_cierre' AND d.nombre_tercero='$class_nombre_tercero_cierre'";
$queryclasscierre_2 = $conn->query($sqlclasscierre_2);
$rowclasscierre_2 = $queryclasscierre_2->fetch_assoc();
$despachos_classcierre = $rowclasscierre_2['cantidad_despacho'];

//CIERRES
$sqlclasscierre_3 = "SELECT SUM(cantidad) as cantidad_cierre "
        . "FROM cierre_detalle WHERE referencia_producto='$class_referencia_cierre' AND "
        . "talla='$class_talla_cierre' AND nombre_tercero='$class_nombre_tercero_cierre'";
$queryclasscierre_3 = $conn->query($sqlclasscierre_3);
$rowclasscierre_3 = $queryclasscierre_3->fetch_assoc();
$cierre_classcierre = $rowclasscierre_3['cantidad_cierre'];


//CIERRES_PEDIDO
$sqlclasscierre_4 = "SELECT SUM(cantidad) as cantidad_cierre_pedido "
        . "FROM cierre_pedido_detalle WHERE referencia_producto='$class_referencia_cierre' AND "
        . "talla='$class_talla_cierre' AND nombre_tercero='$class_nombre_tercero_cierre'";
$queryclasscierre_4 = $conn->query($sqlclasscierre_4);
$rowclasscierre_4 = $queryclasscierre_4->fetch_assoc();
$cierre_pedido_classcierre = $rowclasscierre_4['cantidad_cierre_pedido'];

//DISPONIBLE
$demas_class = ($pedidos_classcierre + $cierre_classcierre) - ($despachos_classcierre + $cierre_pedido_classcierre);

//*****************************************************************************
//EXISTENCIA EN TABLA referencia_cierre
$sqlclasscierre_c1 = "SELECT COUNT(id) as contar FROM referencia_cierre WHERE nombre_tercero='$class_nombre_tercero_cierre' AND referencia_producto='$class_referencia_cierre' AND talla='$class_talla_cierre'";
$queryclasscierre_c1 = $conn->query($sqlclasscierre_c1);
$rowclasscierre_c1 = $queryclasscierre_c1->fetch_assoc();
$contar_referencia_cierre = $rowclasscierre_c1['contar'];

if ($demas_class >= 0) {

    //EXISTENCIA EN TABLA referencia_despacho
    $sqlclassdespacho_c1 = "SELECT COUNT(id) as contar FROM referencia_despacho WHERE nombre_tercero='$class_nombre_tercero_cierre' AND referencia_producto='$class_referencia_cierre' AND talla='$class_talla_cierre'";
    $queryclassdespacho_c1 = $conn->query($sqlclassdespacho_c1);
    $rowclassdespacho_c1 = $queryclassdespacho_c1->fetch_assoc();
    $contar_referencia_despacho = $rowclassdespacho_c1['contar'];

    if ($demas_class > 0) {
        if ($contar_referencia_despacho > 0) {
            $sql_cierre = "UPDATE  referencia_despacho SET cantidad='$demas_class' WHERE nombre_tercero='$class_nombre_tercero_cierre' AND referencia_producto='$class_referencia_cierre' AND talla='$class_talla_cierre'";
            if ($conn->query($sql_cierre) === TRUE) {
                
            } else {

                echo "Error: " . $sql_cierre . "<br>" . $conn->error;
            }
        } else {
            $sql_cierre = "INSERT INTO referencia_despacho(id, nombre_tercero, referencia_producto, talla, cantidad) "
                    . "VALUES (NULL, '$class_nombre_tercero_cierre', '$class_referencia_cierre', '$class_talla_cierre', '$demas_class')";
            if ($conn->query($sql_cierre) === TRUE) {
                
            } else {

                echo "Error: " . $sql_cierre . "<br>" . $conn->error;
            }
        }
    } else {
        //ELIMNIAR DE TABLA referencia_despacho
        $sql_cierre_delete = "DELETE FROM referencia_despacho WHERE nombre_tercero='$class_nombre_tercero_cierre' AND referencia_producto='$class_referencia_cierre' AND talla='$class_talla_cierre'";
        if ($conn->query($sql_cierre_delete) === TRUE) {
            
        } else {
            echo "Error: " . $sql_cierre_delete . "<br>" . $conn->error;
        }
    }



    //ELIMNIAR DE TABLA referencia_cierre
    $sql_cierre_delete = "DELETE FROM referencia_cierre WHERE nombre_tercero='$class_nombre_tercero_cierre' AND referencia_producto='$class_referencia_cierre' AND talla='$class_talla_cierre'";
    if ($conn->query($sql_cierre_delete) === TRUE) {
        
    } else {
        echo "Error: " . $sql_cierre_delete . "<br>" . $conn->error;
    }
} else {
    if ($contar_referencia_cierre > 0) {

        $sql_cierre = "UPDATE  referencia_cierre SET cantidad='$demas_class' WHERE nombre_tercero='$class_nombre_tercero_cierre' AND referencia_producto='$class_referencia_cierre' AND talla='$class_talla_cierre'";
        if ($conn->query($sql_cierre) === TRUE) {
            
        } else {

            echo "Error: " . $sql_cierre . "<br>" . $conn->error;
        }
    } else {

        $sql_cierre = "INSERT INTO referencia_cierre(id, nombre_tercero, referencia_producto, talla, cantidad) "
                . "VALUES (NULL, '$class_nombre_tercero_cierre', '$class_referencia_cierre', '$class_talla_cierre', '$demas_class')";
        if ($conn->query($sql_cierre) === TRUE) {
            
        } else {

            echo "Error: " . $sql_cierre . "<br>" . $conn->error;
        }
    }

    //ELIMNIAR DE TABLA referencia_despacho
    $sql_cierre_delete = "DELETE FROM referencia_despacho WHERE nombre_tercero='$class_nombre_tercero_cierre' AND referencia_producto='$class_referencia_cierre' AND talla='$class_talla_cierre'";
    if ($conn->query($sql_cierre_delete) === TRUE) {
        
    } else {
        echo "Error: " . $sql_cierre_delete . "<br>" . $conn->error;
    }
}